
// AKM addon by Christoph (christophh@wp.pl)
// some basic defines
#define TEast 1
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

// type scope
#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot				0// dummy weapons
#define WeaponSlotPrimary		1// primary weapons
#define WeaponSlotSecondary	16// secondary weapons
#define WeaponSlotItem			256// items
#define WeaponSlotBinocular	4096// binocular
#define WeaponHardMounted		65536

class CfgModels
{
class Default{};
class Weapon: Default{};
class CRS_AKMS: Weapon{};
class CRS_AKMSGL: Weapon{};

};

class CfgPatches
{
	class CRSAKMS
	{
		units[] = {CRSSOLDIER_AKMS, CRSSOLDIER2_AKMS};
		weapons[] = {CRSAKM};
		requiredVersion = 1.46;
	};

	class CRSAKMSGL
	{
		units[] = {CRSSOLDIER_AKMSGL, CRSSOLDIER2_AKMSGL};
		weapons[] = {CRSAKMGL};
		requiredVersion = 1.46;
	};
};



class CfgWeapons

{
	class Default	{};
	class MGun: Default {};
	class Riffle: MGun {};
	class AK47: Riffle {};
	class AK47GrenadeLauncher: AK47 {};

	class CRSAKMS: AK47
	{
		displayName = AKMS;
		
		magazines[]={"AK47"};
		scopeWeapon=2;
		scopeMagazine=0;
		model="\CRS_AKMS\CRS_AKMS.p3d";
		modelOptics="\data3d\optika_ak47.p3d";
		picture="\CRS_AKMS\w_akms.paa"
		optics = true;
		opticsZoomMin=0.35;
		opticsZoomMax=0.35;
                count=30;

	};


	class CRSAKMSGL: AK47GrenadeLauncher
	{
		displayName = AKMS + Pallad;
		
		scopeWeapon=2;
		scopeMagazine=0;
		model="\CRS_AKMS\CRS_AKMSGL.p3d";
		modelOptics="\data3d\optika_ak47.p3d";
		picture="\CRS_AKMS\w_akmsgl.paa"
		optics = true;
		opticsZoomMin=0.35;
		opticsZoomMax=0.35;
                count=30;
	
	};


};
class CfgVehicles
{
	class All{};
	class AllVehicles:All{};
	class Land:AllVehicles{};
	class Man:Land{};
	class Soldier:Man{};
	class SoldierEB:Soldier{};
	class SoldierEG:SoldierEB{};
	class SoldierGB:Soldier{};
	class SoldierGG:SoldierGB{};
	class CRSSOLDIER_AKMS: SoldierEB
	{
	displayName="Soldier (AKMS)";
	weapons[]={"CRSAKMS","Throw","Put"};
	magazines[]={AK47,AK47,AK47,AK47,HandGrenade,HandGrenade,HandGrenade,HandGrenade,HandGrenade,HandGrenade};
	};

	class CRSSOLDIER_AKMSGL: SoldierEG
	{
	displayName="Soldier (AKMS + Pallad)";
	weapons[]={"CRSAKMSGL","Throw","Put"};
	magazines[]={AK47,AK47,AK47,AK47,GrenadeLauncher,GrenadeLauncher,GrenadeLauncher};
	};

	class CRSSOLDIER2_AKMS: SoldierGB
	{
	displayName="Soldier (AKMS)";
	weapons[]={"CRSAKMS","Throw","Put"};
	magazines[]={AK47,AK47,AK47,AK47,HandGrenade,HandGrenade,HandGrenade,HandGrenade,HandGrenade,HandGrenade};
	};

	class CRSSOLDIER2_AKMSGL: SoldierGG
	{
	displayName="Soldier (AKMS + Pallad)";
	weapons[]={"CRSAKMSGL","Throw","Put"};
	magazines[]={AK47,AK47,AK47,AK47,GrenadeLauncher,GrenadeLauncher,GrenadeLauncher};
	};


};




class CfgNonAIVehicles
{
	class ProxyWeapon {};
	class ProxyCRSAKMS: ProxyWeapon {};
};